diff --git a/src/main/java/net/minecraft/datagen/TrommelGenerator.java b/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
similarity index 92%
rename from src/main/java/net/minecraft/datagen/TrommelGenerator.java
rename to util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
index c2602e718..7ae13dcb6 100644
--- a/src/main/java/net/minecraft/datagen/TrommelGenerator.java
+++ b/util/datagen/src/main/java/net/minecraft/datagen/TrommelGenerator.java
@@ -1,17 +1,15 @@
 package net.minecraft.datagen;
 
+import net.minecraft.datagen.recipeBuilders.RecipeBuilder;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 import net.minecraft.core.util.helper.DyeColor;
-import net.minecraft.datagen.recipeBuilders.RecipeBuilder;
-
-import static net.minecraft.datagen.RecipesGenerator.CORE_NAMESPACE;
 
 public class TrommelGenerator {
     public static void generate() {
-        RecipeBuilder.Trommel(CORE_NAMESPACE)
+        RecipeBuilder.Trommel(RecipesGenerator.CORE_NAMESPACE)
             .setInput(Blocks.BLOCK_CLAY)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.CLAY), 4, 8), 30)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 3), 20)
@@ -19,7 +17,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_GOLD), 1), 1)
             .create("clay");
 
-        RecipeBuilder.Trommel(CORE_NAMESPACE)
+        RecipeBuilder.Trommel(RecipesGenerator.CORE_NAMESPACE)
             .setInput("minecraft:trommel_dirt")
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 3), 50)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.CLAY), 1, 5), 20)
@@ -30,7 +28,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.QUARTZ), 1), 0.25)
             .create("dirt");
 
-        RecipeBuilder.Trommel(CORE_NAMESPACE)
+        RecipeBuilder.Trommel(RecipesGenerator.CORE_NAMESPACE)
             .setInput(Blocks.GRAVEL)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.FLINT), 1, 2), 25)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.OLIVINE), 1, 3), 30)
@@ -41,7 +39,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.QUARTZ), 1), 0.5)
             .create("gravel");
 
-        RecipeBuilder.Trommel(CORE_NAMESPACE)
+        RecipeBuilder.Trommel(RecipesGenerator.CORE_NAMESPACE)
             .setInput(Blocks.DIRT_SCORCHED_RICH)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_GOLD), 1), 10)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_IRON), 1, 2), 15)
@@ -52,7 +50,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.AMMO_PEBBLE), 1, 5), 5)
             .create("rich_dirt");
 
-        RecipeBuilder.Trommel(CORE_NAMESPACE)
+        RecipeBuilder.Trommel(RecipesGenerator.CORE_NAMESPACE)
             .setInput(Blocks.SAND)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.QUARTZ), 1, 3), 50)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.CLAY), 4, 8), 30)
@@ -64,7 +62,7 @@ public class TrommelGenerator {
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.ORE_RAW_GOLD), 1), 1)
             .create("sand");
 
-        RecipeBuilder.Trommel(CORE_NAMESPACE)
+        RecipeBuilder.Trommel(RecipesGenerator.CORE_NAMESPACE)
             .setInput(Blocks.SOULSAND)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.FLINT), 1, 3), 20)
             .addEntry(new WeightedRandomLootObject(new ItemStack(Items.BONE), 1, 6), 10)
diff --git a/util/stellar/.gitignore b/util/stellar/.gitignore
new file mode 100644
index 000000000..2959db291
--- /dev/null
+++ b/util/stellar/.gitignore
@@ -0,0 +1,2 @@
+build
+logs
\ No newline at end of file
diff --git a/util/stellar/build.gradle.kts b/util/stellar/build.gradle.kts
new file mode 100644
index 000000000..539c067b5
--- /dev/null
+++ b/util/stellar/build.gradle.kts
@@ -0,0 +1,36 @@
+plugins {
+    id("java")
+}
+
+repositories {
+    mavenCentral()
+    maven("https://libraries.minecraft.net/")
+}
+
+dependencies {
+    implementation(project(":game:core"))
+
+    implementation(libs.bundles.lwjgl)
+    for (lib in libs.bundles.lwjgl.get()) {
+        runtimeOnly(lib.group, lib.name, classifier = rootProject.ext["lwjglNatives"].toString())
+    }
+    implementation(platform(libs.lwjgl.bom))
+}
+
+//region Tasks
+val run by tasks.registering(JavaExec::class) {
+    group = "bta"
+
+    mainClass.set("org.useless.stellar.StarUtil")
+    classpath += sourceSets["main"].runtimeClasspath
+}
+
+tasks.withType(JavaCompile::class.java) {
+    options.isIncremental = false
+    options.encoding = "UTF-8"
+    if (JavaVersion.current() != JavaVersion.VERSION_1_8) {
+        options.compilerArgs.add("--release")
+        options.compilerArgs.add("8")
+    }
+}
+//endregion
\ No newline at end of file
